#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # lightning-python
# 
# *lightning-python* is a wrapper for the javascript library [lightning](http://lightning-viz.org/).

# [documentation](http://lightning-viz.org/clients/#python) [installation](http://lightning-viz.org/clients/#python) [source](https://github.com/lightning-viz/lightning-python) [tutorial](http://nbviewer.jupyter.org/github/lightning-viz/lightning-example-notebooks/blob/master/misc/severless.ipynb) [gallerie](http://lightning-viz.org/visualizations/gallery/)

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# # startup

# The module requires module [lightning-python](https://github.com/lightning-viz/lightning-python). Check the [gallery](http://lightning-viz.org/).

# In[2]:


from lightning import Lightning
lgn = Lightning(ipython=True, local=True)


# ## scatter plot

# In[3]:


from numpy import random
x = random.randn(1000)
y = random.randn(1000)
v = random.randn(1000)

lgn.scatter(x, y, alpha=0.5, values=v, colormap='Reds')


# In[4]: